/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#if !defined(NEXT_RAM_H)
#define NEXT_RAM_H

#include <device.h>
#include <stdio.h>
#include <stdlib.h>
#include "comb_decomp.h"
#include "sfrs.h"


uint8 next_ex_RAM_read(uint8 dph, uint8 dpl) {
	uint8 a;

	
	ADD_low_Write(dpl);
	ADD_high_Write(dph);
	Xaccess_Write(0x01);
	
	while(!byte_ready_ex_Read())
	{}
	
	a = byte_out_Read();
	return a;
}

void next_ex_RAM_write(uint8 dph, uint8 dpl) {
	extern uint8 InternalRAM[0xFF];
	
	byte_ex_reg_Write(InternalRAM[ACC]);
	ADD_low_Write(dpl);
	ADD_high_Write(dph);
	Xaccess_Write(0x02);
	
	while(!byte_ready_ex_Read())
	{}
}

#endif

//[] END OF FILE
